Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns a list of addresses associated with a given account.
cURL
curl --request GET \ --url 'https://api.equalsmoney.com/v2/addresses?accountId={{accountId}}' \ --header 'Authorization: <api-key>'
import requests url = "https://api.equalsmoney.com/v2/addresses" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.equalsmoney.com/v2/addresses', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/addresses", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/addresses" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.equalsmoney.com/v2/addresses") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/addresses") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
{ "limit": 200, "offset": 100, "count": 67, "rows": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "office", "nickName": "office", "addressLine1": "Great Building", "addressLine2": "Four Maple Street", "addressLine3": "Southwark", "addressContact": "Brian May", "city": "string", "postcode": "SE13UB", "country": "England", "countryCode": "GB" } ] }
The ID of the account to work with.
"F50091"
The maximum number of results to return.
1 <= x <= 1000
200
The number of items to skip before returning results.
x >= 0
100
The term to search the records for.
"Cesar+Treutel"
The type to filter addresses by. Use commas to pass multiple values. Has to be URL encoded.
registered
office
"registered,office"
The format to return the addresses in.
iso20022
OK
The total amount of records matching the querying when "limit" is ignored.
67
Show child attributes
Was this page helpful?